> For the complete documentation index, see [llms.txt](https://docs.workflowgen.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.workflowgen.com/admin-fr/applications-de-workflow/application-de-workflow-getagenttool.md).

# GETAGENTTOOL

## Aperçu

L'application de workflow **GETAGENTTOOL** permet d'extraire un outil et ses informations d'une liste d'outils qui peut être fourni par une application comme [OPENAICHAT](/admin-fr/applications-de-workflow/openai/openaichat.md).

## Mode de fonctionnement

* L'application permet d'extraire un outil d'une liste d'outils en fournissant un index.
* L'application permet d'extraire le nom, l'identifiant et les paramètres de l'outil cible.
* Il est aussi possible d'extraire les paramètres un par un en spécifiant le nom du paramètre directement dans le nom.

## Paramètres

<table data-full-width="false"><thead><tr><th width="235.510009765625" valign="top">Paramètre</th><th width="110.80767822265625" valign="top">Type</th><th width="107.71221923828125" valign="top">Direction</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>TOOLS</code></td><td valign="top">TEXT</td><td valign="top">IN</td><td valign="top"><strong>Requis</strong><br>Le tableau d'outils au format JSON</td></tr><tr><td valign="top"><code>TOOL_INDEX</code></td><td valign="top">NUMERIC</td><td valign="top">IN</td><td valign="top">L'index du tableau pour l'extraction de l'outil; par défaut à <code>0</code></td></tr><tr><td valign="top"><code>TOOL</code></td><td valign="top">TEXT</td><td valign="top">OUT</td><td valign="top">L'outil extrait au format JSON</td></tr><tr><td valign="top"><code>TOOL_NAME</code></td><td valign="top">TEXT</td><td valign="top">OUT</td><td valign="top">Le nom de l'outil</td></tr><tr><td valign="top"><code>TOOL_ID</code></td><td valign="top">TEXT</td><td valign="top">OUT</td><td valign="top">L'identifiant de l'outil</td></tr><tr><td valign="top"><code>TOOL_PARAMETERS</code></td><td valign="top">TEXT</td><td valign="top">OUT</td><td valign="top">Les paramètres de l'outil au format JSON</td></tr><tr><td valign="top"><code>proprietéAExtraire</code></td><td valign="top">TEXT</td><td valign="top">OUT</td><td valign="top">Propriété à extraire dans les paramètres</td></tr></tbody></table>

## Exemple

#### Entrée

<table><thead><tr><th width="200.21087646484375" valign="top">Paramètre</th><th valign="top">Valeur</th></tr></thead><tbody><tr><td valign="top"><code>TOOLS</code></td><td valign="top"><code>[ { "name":"GET_STOCK_INFORMATION", "id":"call_Vuc2Ga8jP7vUksxG9C0fwpY8", "parameters": { "product_name": "Vis", "serial_number": "V45645" } }, { "name": "GET_STOCK_INFORMATION", "id": "call_nq3SCVUk0FjAHCeqOZGNXpC8", "parameters": { "product_name": "Vis", "serial_number": "V45645" } } ]</code></td></tr><tr><td valign="top"><code>TOOL_INDEX</code></td><td valign="top"><code>1</code></td></tr></tbody></table>

#### Sortie

<table><thead><tr><th width="201.63531494140625" valign="top">Paramètre</th><th valign="top">Valeur</th></tr></thead><tbody><tr><td valign="top"><code>TOOL</code></td><td valign="top"><code>{ "name": "GET_STOCK_INFORMATION", "id": "call_nq3SCVUk0FjAHCeqOZGNXpC8", "parameters": { "product_name": "Vis", "serial_number": "V45645" } }</code></td></tr><tr><td valign="top"><code>TOOL_NAME</code></td><td valign="top"><code>GET_STOCK_INFORMATION</code></td></tr><tr><td valign="top"><code>TOOL_ID</code></td><td valign="top"><code>call_nq3SCVUk0FjAHCeqOZGNXpC8</code></td></tr><tr><td valign="top"><code>TOOL_PARAMETERS</code></td><td valign="top"><code>{ "product_name": "Vis", "serial_number": "V45645" }</code></td></tr><tr><td valign="top"><code>serial_number</code></td><td valign="top"><code>V45645</code></td></tr><tr><td valign="top"> <code>product_name</code></td><td valign="top"><code>Vis</code></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.workflowgen.com/admin-fr/applications-de-workflow/application-de-workflow-getagenttool.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
